## logbook 0.6.0

=== Makefile ===
all: clean-pyc test

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

test_setup:
	@python scripts/test_setup.py

test:
	@nosetests -w tests

toxtest:
	@tox

vagrant_toxtest:
	@vagrant up
	@vagrant ssh --command "rsync -avP --delete --exclude=_build --exclude=.tox /vagrant/ ~/src/ && cd ~/src/ && tox"

bench:
	@python benchmark/run.py

upload-docs: docs
	python setup.py upload_docs

docs:
	make -C docs html SPHINXOPTS=-Aonline=1

release: upload-docs
	python scripts/make-release.py

logbook/_speedups.so: logbook/_speedups.pyx
	cython logbook/_speedups.pyx
	python setup.py build
	cp build/*/logbook/_speedups*.so logbook

cybuild: logbook/_speedups.so

.PHONY: test upload-docs clean-pyc cybuild bench all docs

=== debian/changelog ===
logbook (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #596042).

 -- Agustin Henze <tin@debian.org>  Mon, 18 Nov 2013 20:01:13 -0300

=== debian/control ===
Source: logbook
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-docutils,
 python2.7-doc,
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://pythonhosted.org/Logbook/
Vcs-Git: git://anonscm.debian.org/collab-maint/logbook.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/logbook.git

Package: python-logbook
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-logbook-doc,
Description: logging system for Python that replaces the standard library's module
 Logbook is a logging system for Python that replaces the standard library's
 logging module. It was designed with both complex and simple applications in
 mind and the idea to make logging fun
 .
 This is the Python 2 version of the package.

Package: python3-logbook
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-logbook-doc,
Description: logging system for Python that replaces the standard library's module (Python3)
 Logbook is a logging system for Python that replaces the standard library's
 logging module. It was designed with both complex and simple applications in
 mind and the idea to make logging fun
 .
 This is the Python 3 version of the package.

Package: python-logbook-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-doc
Section: doc
Description: logging system for Python that replaces the standard library's module (doc)
 Logbook is a logging system for Python that replaces the standard library's
 logging module. It was designed with both complex and simple applications in
 mind and the idea to make logging fun
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p' | cut -d ":" -f 2)
PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build

override_dh_auto_install:
	dh_auto_install
	# build the html pages for the -doc package
	python setup.py build_sphinx -b html

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	wget https://github.com/mitsuhiko/logbook/archive/$(UVERSION).tar.gz \
		-O ../logbook_$(UVERSION).orig.tar.gz;

## logbook 0.7.0

=== debian/changelog ===
logbook (0.7.0-1) unstable; urgency=medium

  * Use uscan for get-orig-source target instead of wget
  * Imported Upstream version 0.7.0

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 20:39:04 -0300

## logbook 0.10.0

=== debian/changelog ===
logbook (0.10.0-1ubuntu1) xenial; urgency=medium

  * Build-depend on python{,3}-six. Closes: #802404.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 19:01:20 +0200

logbook (0.10.0-1) unstable; urgency=medium

  * Imported Upstream version 0.10.0
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 17:34:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
  dh-python,
  python-all,
  python-setuptools,
+ python-six,
  python3-all,
  python3-setuptools,
+ python3-six,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-docutils,
  python2.7-doc,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://pythonhosted.org/Logbook/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p' | cut -d ":" -f 2)
+UVERSION := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
 PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
 export PYBUILD_NAME=$(PACKAGE_NAME)
 
@@ -25,5 +25,5 @@
 		echo 'Run this from the top directory of the Debian source' >&2; \
 		exit 1; \
 	fi
-	wget https://github.com/mitsuhiko/logbook/archive/$(UVERSION).tar.gz \
-		-O ../logbook_$(UVERSION).orig.tar.gz;
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
+		--check-dirname-level=0 --force-download --download-version $(UVERSION)

## logbook 0.12.3

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	@python scripts/test_setup.py
 
 test:
-	@nosetests -w tests
+	@py.test -r s tests
 
 toxtest:
 	@tox
@@ -21,13 +21,10 @@
 bench:
 	@python benchmark/run.py
 
-upload-docs: docs
-	python setup.py upload_docs
-
 docs:
 	make -C docs html SPHINXOPTS=-Aonline=1
 
-release: upload-docs
+release: logbook/_speedups.so
 	python scripts/make-release.py
 
 logbook/_speedups.so: logbook/_speedups.pyx

=== debian/changelog ===
logbook (0.12.3-1) unstable; urgency=medium

  * Imported Upstream version 0.12.3
  * Add missing dependencies on `six` and `pytest` (Closes: #802404)
  * Build doc via `doc/Makefile`

 -- Agustin Henze <tin@debian.org>  Wed, 09 Dec 2015 11:52:57 -0300

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
  dh-python,
  python-all,
  python-setuptools,
- python-six,
  python3-all,
  python3-setuptools,
- python3-six,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-docutils,
  python2.7-doc,
+ python-six,
+ python3-six,
+ python-pytest,
+ python3-pytest,
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,14 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf docs/_build
+	rm -rf Logbook.egg-info
 
 override_dh_auto_install:
 	dh_auto_install
 	# build the html pages for the -doc package
-	python setup.py build_sphinx -b html
+	set -ex; \
+		cd docs; \
+		make html
 
 get-orig-source:
 	@if [ ! -d "debian" ] ; then \

=== debian/watch ===
version=3

https://github.com/mitsuhiko/logbook/releases .*archive/([0-9.]*)\.tar\.gz

## logbook 1.3.0

=== debian/changelog ===
logbook (1.3.0-2) unstable; urgency=medium

  [ Agustin Henze ]
  * Add gbp.conf

  [ Iñaki Malerba ]
  * debian/control: Change anonscm to salsa on vcs fields
  * Add needs-root requirement to autopkgtest (Closes: #900464)

 -- Iñaki Malerba <inaki@malerba.space>  Fri, 01 Jun 2018 14:01:04 -0300

logbook (1.3.0-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * New upstream version 1.3.0

 -- Inaki Malerba <inaki@malerba.space>  Wed, 04 Apr 2018 15:16:10 -0300

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://pythonhosted.org/Logbook/
-Vcs-Git: git://anonscm.debian.org/collab-maint/logbook.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/logbook.git
+Vcs-Git: https://salsa.debian.org/debian/logbook.git
+Vcs-Browser: https://salsa.debian.org/debian/logbook
 
 Package: python-logbook
 Architecture: all

## logbook 1.4.1

=== debian/changelog ===
logbook (1.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Iñaki Malerba ]
  * New upstream version 1.4.0
  * New upstream version 1.4.1

 -- Iñaki Malerba <inaki@malerba.space>  Wed, 31 Oct 2018 21:09:33 -0300

logbook (1.3.0-3) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Add Iñaki Malerba <inaki@malerba.space> as an uploader
  * Update Standards version. Deprecates x-python-version
  * debian/copyright: The files wildcard should be first
  * debian/rules: Remove get-orig-source target

  [ Agustin Henze ]
  * Set debhelper compatibility level to 11
  * [d/rules] Remove dpkg-parsechangelog invocation, use pkg-info.mk instead
  * Disable run unittest on building time, they are run by autopkgtests and
    remove unused build dependencies
  * Update doc paths according to dh compat 11
  * Add missing build-dependency on cython, python2.7-dev and python3-dev
  * Build cython module before calling to dh_auto_build
  * Change arch to any, shared lib is delivered
  * Enable hardening

 -- Agustin Henze <tin@debian.org>  Fri, 08 Jun 2018 15:40:21 -0300

## logbook 1.4.2

=== debian/changelog ===
logbook (1.4.2-2) unstable; urgency=medium

  * New upstream version 1.4.2

 -- Agustin Henze <tin@debian.org>  Wed, 02 Jan 2019 18:26:48 +0000

## logbook 1.4.3

=== debian/changelog ===
logbook (1.4.3-1) unstable; urgency=medium

  [ Downstreamer ]
  * New upstream version 1.4.3

 -- Iñaki Malerba <inaki@malerba.space>  Tue, 22 Jan 2019 14:41:50 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
+Uploaders:
+ Iñaki Malerba <inaki@malerba.space>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-setuptools,
@@ -12,20 +14,18 @@
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-docutils,
  python2.7-doc,
- python-six,
- python3-six,
- python-pytest,
- python3-pytest,
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+ cython,
+ cython3,
+ python2.7-dev,
+ python3-dev,
+Standards-Version: 4.1.4
 Homepage: http://pythonhosted.org/Logbook/
 Vcs-Git: https://salsa.debian.org/debian/logbook.git
 Vcs-Browser: https://salsa.debian.org/debian/logbook
 
 Package: python-logbook
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: python-logbook-doc,
 Description: logging system for Python that replaces the standard library's module
  Logbook is a logging system for Python that replaces the standard library's
@@ -35,8 +35,8 @@
  This is the Python 2 version of the package.
 
 Package: python3-logbook
-Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: python-logbook-doc,
 Description: logging system for Python that replaces the standard library's module (Python3)
  Logbook is a logging system for Python that replaces the standard library's

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=$(DEB_SOURCE)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build
	rm -rf Logbook.egg-info

override_dh_auto_build:
	make cybuild
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# build the html pages for the -doc package
	set -ex; \
		cd docs; \
		make html

override_dh_auto_test:
# Run on autopkgtests

## logbook 1.5.3

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,7 @@
 
 logbook/_speedups.so: logbook/_speedups.pyx
 	cython logbook/_speedups.pyx
-	python setup.py build
-	cp build/*/logbook/_speedups*.so logbook
+	python setup.py build_ext --inplace
 
 cybuild: logbook/_speedups.so

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Logbook.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Logbook.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Logbook"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Logbook"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
logbook (1.5.3-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Compile for all Python versions
  * Bump policy version (no changes)
  * Drop gitlab-ci.yml
  * Switch to autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jan 2023 22:39:52 +0100

logbook (1.5.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add d/clean for leftovers
  * Remove d/files (generated)
  * Fix fuzz in patch
  * Move Description to source package
  * Add Rules-Requires-Root
  * Add Multi-Arch according to hinter
  * Use dh sequences
  * Bump policy and debhelper version (no changes)
  * Add patch for python3-setuptools (Closes: #1022450)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 31 Oct 2022 13:34:44 +0100

logbook (1.5.3-5) unstable; urgency=medium

  * Update debian/watch

 -- Iñaki Malerba <inaki@malerba.space>  Fri, 20 May 2022 13:22:13 +0200

logbook (1.5.3-4) unstable; urgency=medium

  * Remove pip install call from autopkgtest. (Closes: #954151)
  * Fix d/watch URL.

 -- Iñaki Malerba <inaki@malerba.space>  Sun, 26 Apr 2020 21:57:14 +0200

logbook (1.5.3-3) unstable; urgency=medium

  * Complete python2 removal, which was done already as a NMU but that the
    maintainer decided to ignore and perform partially; Closes: #936962

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 16:33:37 -0400

logbook (1.5.3-2) unstable; urgency=medium

  * Remove python2 package.
  * Fix docs Index and Files reference on docs.
  * Bump standards version to 4.4.1
  * Bump debhelper and use debhelper-compat.

 -- Iñaki Malerba <inaki@malerba.space>  Sat, 21 Dec 2019 16:15:41 +0100

logbook (1.5.3-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Update gitlab-ci.yml

  [ Downstreamer ]
  * New upstream version 1.5.3

 -- Iñaki Malerba <inaki@malerba.space>  Thu, 12 Dec 2019 22:14:20 +0100

=== debian/control ===
Source: logbook
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders:
 Iñaki Malerba <inaki@malerba.space>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-docutils,
 python3-doc,
 cython3,
 python3-all-dev,
 python3-brotli <!nocheck>,
 python3-pytest <!nocheck>,
 redis-server <!nocheck>,
Standards-Version: 4.6.2
Homepage: http://pythonhosted.org/Logbook/
Vcs-Git: https://salsa.debian.org/debian/logbook.git
Vcs-Browser: https://salsa.debian.org/debian/logbook
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: logging system for Python that replaces the standard library's module
 Logbook is a logging system for Python that replaces the standard library's
 logging module. It was designed with both complex and simple applications in
 mind and the idea to make logging fun

Package: python3-logbook
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python-logbook-doc,
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This is the Python 3 version of the package.

Package: python-logbook-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-doc
Section: doc
Description: ${source:Synopsis} (doc)
 ${source:Extended-Description}
 .
 This package contains API documentation.

=== debian/watch ===
version=3

https://github.com/getlogbook/logbook/tags .*/([0-9.]*)\.tar\.gz

## logbook 1.7.0

=== debian/changelog ===
logbook (1.7.0-1.0build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:12:15 +0000

logbook (1.7.0-1.0build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:33:50 +0000

logbook (1.7.0-1.0build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:02 +0100

logbook (1.7.0-1.0build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:41:06 +0000

logbook (1.7.0-1.0) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (Closes: #1042681)
  * d/patches/0001-Point-intersphinx-map-to-local-doc.patch: Refreshed patch
  * d/patches/0003-Drop-custom-build_ext-class.patch: Dropped, not applicable
  * d/patches/use-cython3.patch: Add missing patch description
  * d/patches/point_to_correct_speedups_file.patch: Location of file moved
  * d/patches/get_package_version_for_docs.patch: Get version by extending path
  * d/clean: Update autogenerated files to remove (Closes: #1048087, #1049495)
  * d/control: Add pybuild-plugin-pyproject to Build-Depends
  * d/watch: Update standard version to 4
  * d/upstream/metadata: Add with fields: Archive, Bug-Database, Bug-Submit,
    Repository, and Repository-Browse

 -- Lance Lin <lq27267@gmail.com>  Mon, 30 Oct 2023 20:46:17 +0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=$(DEB_SOURCE)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	make cybuild

execute_after_dh_auto_install:
	# build the html pages for the -doc package
	set -ex; \
		cd docs; \
		make html

=== debian/watch ===
version=4

https://github.com/getlogbook/logbook/tags .*/([0-9.]*)\.tar\.gz
